<?php

return [
	// Empty these tables
	'cache',
	'conversation',
	'pconfig',
	'photo',
	'workerqueue',
	'mail',
	'item-delivery-data',
	// Base test config to avoid notice messages
	'config'  => [
		[
			'cat' => 'system',
			'k'   => 'url',
			'v'   => 'http://localhost',
		],
		[
			'cat' => 'config',
			'k'   => 'hostname',
			'v'   => 'localhost',
		],
		[
			'cat' => 'system',
			'k'   => 'worker_dont_fork',
			'v'   => '1',
		],
	],
	'user'    => [
		[
			'uid'      => 42,
			'username' => 'Test user',
			'nickname' => 'selfcontact',
			'verified' => 1,
			'password' => '$2y$10$DLRNTRmJgKe1cSrFJ5Jb0edCqvXlA9sh/RHdSnfxjbR.04yZRm4Qm',
			'theme'    => 'frio',
		],
	],
	'contact' => [
		[
			'id'      => 42,
			'uid'     => 42,
			'name'    => 'Self contact',
			'nick'    => 'selfcontact',
			'self'    => 1,
			'nurl'    => 'http://localhost/profile/selfcontact',
			'url'     => 'http://localhost/profile/selfcontact',
			'about'   => 'User used in tests',
			'pending' => 0,
			'blocked' => 0,
			'rel'     => 1,
			'network' => 'dfrn',
		],
		// Having the same name and nick allows us to test
		// the fallback to api_get_nick() in api_get_user()
		[
			'id'      => 43,
			'uid'     => 0,
			'name'    => 'othercontact',
			'nick'    => 'othercontact',
			'self'    => 0,
			'nurl'    => 'http://localhost/profile/othercontact',
			'url'     => 'http://localhost/profile/othercontact',
			'pending' => 0,
			'blocked' => 0,
			'rel'     => 0,
			'network' => 'dfrn',
		],
		[
			'id'      => 44,
			'uid'     => 42,
			'name'    => 'Friend contact',
			'nick'    => 'friendcontact',
			'self'    => 0,
			'nurl'    => 'http://localhost/profile/friendcontact',
			'url'     => 'http://localhost/profile/friendcontact',
			'pending' => 0,
			'blocked' => 0,
			'rel'     => 2,
			'network' => 'dfrn',
		],
	],
	'item'    => [
		[
			'id'          => 1,
			'visible'     => 1,
			'contact-id'  => 42,
			'author-id'   => 42,
			'owner-id'    => 42,
			'uid'         => 42,
			'verb'        => 'http://activitystrea.ms/schema/1.0/post',
			'unseen'      => 1,
			'body'        => 'Parent status',
			'parent'      => 1,
			'author-link' => 'http://localhost/profile/selfcontact',
			'wall'        => 1,
			'starred'     => 1,
			'origin'      => 1,
			'allow_cid'   => '',
			'allow_gid'   => '',
			'deny_cid'    => '',
			'deny_gid'    => '',
		],
		[
			'id'          => 2,
			'visible'     => 1,
			'contact-id'  => 42,
			'author-id'   => 42,
			'owner-id'    => 42,
			'uid'         => 42,
			'verb'        => 'http://activitystrea.ms/schema/1.0/post',
			'unseen'      => 0,
			'body'        => 'Reply',
			'parent'      => 1,
			'author-link' => 'http://localhost/profile/selfcontact',
			'wall'        => 1,
			'starred'     => 0,
			'origin'      => 1,
		],
		[

			'id'          => 3,
			'visible'     => 1,
			'contact-id'  => 43,
			'author-id'   => 43,
			'owner-id'    => 42,
			'uid'         => 42,
			'verb'        => 'http://activitystrea.ms/schema/1.0/post',
			'unseen'      => 0,
			'body'        => 'Other user status',
			'parent'      => 3,
			'author-link' => 'http://localhost/profile/othercontact',
			'wall'        => 1,
			'starred'     => 0,
			'origin'      => 1,
		],
		[
			'id'          => 4,
			'visible'     => 1,
			'contact-id'  => 44,
			'author-id'   => 44,
			'owner-id'    => 42,
			'uid'         => 42,
			'verb'        => 'http://activitystrea.ms/schema/1.0/post',
			'unseen'      => 0,
			'body'        => 'Friend user reply',
			'parent'      => 1,
			'author-link' => 'http://localhost/profile/othercontact',
			'wall'        => 1,
			'starred'     => 0,
			'origin'      => 1,
		],
		[

			'id'          => 5,
			'visible'     => 1,
			'contact-id'  => 42,
			'author-id'   => 42,
			'owner-id'    => 42,
			'uid'         => 42,
			'verb'        => 'http://activitystrea.ms/schema/1.0/post',
			'unseen'      => 0,
			'body'        => '[share]Shared status[/share]',
			'parent'      => 1,
			'author-link' => 'http://localhost/profile/othercontact',
			'wall'        => 1,
			'starred'     => 0,
			'origin'      => 1,
			'allow_cid'   => '',
			'allow_gid'   => '',
			'deny_cid'    => '',
			'deny_gid'    => '',
		],
		[
			'id'          => 6,
			'visible'     => 1,
			'contact-id'  => 44,
			'author-id'   => 44,
			'owner-id'    => 42,
			'uid'         => 42,
			'verb'        => 'http://activitystrea.ms/schema/1.0/post',
			'unseen'      => 0,
			'body'        => 'Friend user status',
			'parent'      => 6,
			'author-link' => 'http://localhost/profile/othercontact',
			'wall'        => 1,
			'starred'     => 0,
			'origin'      => 1,
		],
	],
	'thread'  => [
		[
			'iid'        => 1,
			'visible'    => 1,
			'contact-id' => 42,
			'author-id'  => 42,
			'owner-id'   => 42,
			'uid'        => 42,
			'wall'       => 1,
		],
		[
			'iid'        => 3,
			'visible'    => 1,
			'contact-id' => 43,
			'author-id'  => 43,
			'owner-id'   => 43,
			'uid'        => 0,
			'wall'       => 1,
		],
		[
			'iid'        => 6,
			'visible'    => 1,
			'contact-id' => 44,
			'author-id'  => 44,
			'owner-id'   => 44,
			'uid'        => 0,
			'wall'       => 1,
		],
	],
	'group'   => [
		[
			'id'      => 1,
			'uid'     => 42,
			'visible' => 1,
			'name'    => 'Visible list',
		],
		[
			'id'      => 2,
			'uid'     => 42,
			'visible' => 0,
			'name'    => 'Private list',
		],
	],
	'search'  => [
		[
			'id'   => 1,
			'term' => 'Saved search',
			'uid'  => 42,
		],
	],
];